Subject: More: glitch with upgraded ImageMagick-6.0.3-1
From: "Charles L. Werner" <[email-masked]>
To: Cygwin <[email-masked]>
Date: Tue, 27 Jul 2004 15:39:44 +0200

Here is what I found:

Additional information on the ImageMagick configuration is available in
/usr/share/doc/Imagemagick-6.0.3/QuickStart.txt

where the various configuration files go and what is required.

3 files located in /usr/share/doc/Imagemagick-6.0.3 directory (magic.mgk, log.mgk and coders.mgk)
have to be copied to /lib/ImageMagick-6.0.3/config to complete the installation.  The package or a local
environment variable has to be modified.

The following files are in /lib/ImageMagick-6.0.3/config:

coder.mgk
colors.mgk
configure.mgk
delegates.mgk
english.mgk
locale.mgk
log.mgk
magic.mgk
type.mgk
type-ghostscript.mgk
type-solaris.mgk
type-windows.mgk

When I copied over coder.mgk, a test case with a ps file
worked correctly using the cygwin version ghostscript as a delegate:

convert a.ps a.ps

The DVI case still failed with:

convert: unable to open module file `/usr/lib/ImageMagick-6.0.3/modules-Q16/coders/dvi.la'.

I have MiKTeX installed, and I also got messages telling me that dvips cannot open the PS file when
I enter:

display a.dvi

Most likely a problem is with interpretation of the file paths for input and/or output.

My suggestion is that you install the Cygwin TeX package as a step in being able to convert DVI files if you
have not done so.

Charles

>>> I had to copy the file magic.mgk to the
>>> /lib/ImageMagick-6.0.3/config directory
>>> to get it to work ...
> 
> Thanks.
> 
>>> ... all is ok now.
> 
> Wish mine was. I find that 
> 
> 	convert g0.ps g0.jpg
> 
> works just fine but
> 
> 	convert g0.dvi g0.jpg
> 
> still fails with the identical error message. What happens when you try this?
> 
> Maybe your fix is not quite general. (Or I am failing to implement it correctly.
> There are two different magic.mgk files I could copy in the manner instructed
> - not to mention a magic.mgc file.)
> 
> Thanks anyway. 
> 
> Fergus

-- 
Dr. Charles L. Werner
Gamma Remote Sensing AG
Thunstrasse 130
CH-3074 Muri b. Bern, Switzerland

Tel: +41 31 951 70 05
FAX: +41 31 951 70 08
http://www.gamma-rs.ch

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/